Bug 246573 - devel/p5-Capture-Tiny: Update to 0.48
Summary: devel/p5-Capture-Tiny: Update to 0.48
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL: https://metacpan.org/release/Capture-...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-19 15:26 UTC by Sergei Vyshenski
Modified: 2020-05-21 20:47 UTC (History)
2 users (show)

See Also:
bill.brinzer: maintainer-feedback+


Attachments
patch to update the port (1.20 KB, patch)
2020-05-19 15:26 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2020-05-19 15:26:12 UTC
Created attachment 214645 [details]
patch to update the port

- update 0.46 -> 0.48
Changes: https://metacpan.org/changes/distribution/Capture-Tiny
- request maintainership, as Bill Brinzer <bill.brinzer@gmail.com>
	is absent for 5+ years, see:
https://svnweb.freebsd.org/ports/head/devel/p5-Capture-Tiny/Makefile?view=log

- "portlint -AC" gives non-relevant warns.
- Tested with:
12.1-RELEASE-p5 amd64
poudriere 3.3.4
perl 5.30.2
pkg 1.14.4
- built-in perl tests in a clean poudriere jail say: PASS.
Comment 1 Automation User 2020-05-19 15:35:02 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/147612927
Comment 2 Bill Brinzer 2020-05-20 14:19:23 UTC
Thanks for the patch. If you want maintainership of this port that sounds good to me.
Comment 3 Sergei Vyshenski 2020-05-20 14:23:44 UTC
(In reply to Bill Brinzer from comment #2)
Thank you very much.
Comment 4 commit-hook freebsd_committer 2020-05-21 20:46:37 UTC
A commit references this bug:

Author: sunpoet
Date: Thu May 21 20:46:14 UTC 2020
New revision: 536172
URL: https://svnweb.freebsd.org/changeset/ports/536172

Log:
  Update to 0.48

  - Pass maintainership to submitter

  Changes:	https://metacpan.org/changes/distribution/Capture-Tiny
  PR:		246573
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>
  Approved by:	Bill Brinzer <bill.brinzer@gmail.com> (maintainer)

Changes:
  head/devel/p5-Capture-Tiny/Makefile
  head/devel/p5-Capture-Tiny/distinfo
Comment 5 Po-Chuan Hsieh freebsd_committer 2020-05-21 20:47:48 UTC
Committed. Thanks!